WHO(1)

NAME
who - display who is logged in

SYNOPSIS
who [-mTuH] [file]
am i

DESCRIPTION
The who utility displays a list of all users currently logged on, showing for each user the login name, tty name, the date and time of login, and hostname if not local.

Available options:

-m  Only print information about the current terminal. This is the POSIX way of saying who am i.

-T  Print a character after the user name indicating the state of the terminal line: ‘+’ if the terminal is writable; ‘-’ if it is not; and ‘’? if a bad line is encountered.

-u  Print the idle time for each user.

-H  Write column headings above the regular output.

am I
    Returns the invoker's real user name.

file
    By default, who gathers information from the file /var/run/utmp. An alternative file may be specified which is usually /var/log/wtmp (or /var/log/wtmp.[0-6] depending on site policy as wtmp can grow quite large and daily versions may or may not be kept around after compression by ac(8)). The wtmp file contains a record of every login, logout, crash, shutdown and date change since wtmp was last truncated or created.

If /var/log/wtmp is being used as the file, the user name may be empty or one of the special characters '|', '}' and '~'. Logouts produce an output line without any user name. For more information on the special characters, see utmp(5).

FILES
/var/run/utmp
/var/log/wtmp
/var/log/wtmp.[0-6]

SEE ALSO
last(1), mesg(1), users(1), getuid(2), utmp(5)

STANDARDS
The who utility is expected to conform to p1003.2-92.

HISTORY
A who utility appeared in AT&T UNIX.